<div *ngIf="status !== 'uninitialized'" class="alert alert-info" role="alert">
  💡 To keep this demo as simple as possible, it only contains a selection of the
  <a href="https://tripetto.com/sdk/docs/blocks/stock/" target="_blank"> stock blocks </a>
  available.
</div>
<div *ngIf="status !== 'uninitialized'" class="alert alert-warning" role="alert">
  ⚠️ This is a demonstration. No form data will ever be sent. Form data is shown in the browser console.
</div>

<section *ngIf="status !== 'uninitialized'">
  <div class="row">
    <div class="col">
      <!-- Form finished -->
      <div *ngIf="status === 'finished'" class="row justify-content-center align-items-center message">
        <div class="col-md-8 col-lg-10">
          <div class="text-center">
            <h2>✅ You’ve completed the form</h2>
            <p class="text-faded">
              For the purpose of this demo the form output is visible in your browser’s developer console. Hit
              <b>F12</b> to go there and see the data collected by this form.
            </p>
          </div>
        </div>
      </div>

      <!-- Form stopped -->
      <div *ngIf="status === 'stopped'" class="row justify-content-center align-items-center message">
        <div class="col-md-8 col-lg-10">
          <div class="text-center">
            <h2>⏹ You’ve stopped the form</h2>
            <p class="text-faded">Press the play icon to start a new session.</p>
          </div>
        </div>
      </div>

      <!-- Form paused -->
      <div *ngIf="status === 'paused'" class="row justify-content-center align-items-center message">
        <div class="col-md-8 col-lg-10">
          <div class="text-center">
            <h2>⏸ You’ve paused the form</h2>
            <p class="text-faded">
              For the purpose of this demo the paused form is saved in your browser’s local store. Refresh the browser
              to resume the paused form.
            </p>
          </div>
        </div>
      </div>

      <!-- Form not started -->
      <div *ngIf="status === 'idle'" class="row justify-content-center align-items-center message">
        <div class="col-md-8 col-lg-10">
          <div class="text-center">
            <h2>⏹ You haven’t started the form yet</h2>
            <p class="text-faded">Press the play icon to start a new session.</p>
          </div>
        </div>
      </div>

      <!-- Form blocks -->
      <div *ngFor="let moment of storyline.moments; let page = index">
        <div *ngIf="status === 'preview'" class="page mb-3">
          <div></div>
          <div>
            {{ mode === "paginated" ? "Page" : "Section" }} {{ page + 1
            }}{{ moment.section.props.name ? " - " + moment.section.props.name : "" }}
          </div>
          <div></div>
        </div>
        <tripetto-block
          *ngFor="let node of moment.nodes; let i = index"
          [node]="node"
          [runner]="this"
          [attr.data-index]="i"
        ></tripetto-block>
      </div>

      <!-- Form is empty -->
      <div *ngIf="isEmpty" class="row justify-content-center align-items-center message">
        <div class="col-md-8 col-lg-10">
          <div class="text-center">
            <h2>👋 Nothing to show here yet</h2>
            <p class="text-faded">Add blocks to the form first to get the magic going.</p>
          </div>
        </div>
      </div>

      <!-- Form is evaluating -->
      <div *ngIf="isEvaluating" class="text-center mt-5">
        <p class="text-faded">⏳ Please wait...</p>
      </div>

      <!-- Navigation -->
      <nav *ngIf="status === 'running'" class="row navigation justify-content-between align-items-center mt-3">
        <tripetto-runner-buttons [storyline]="storyline" class="col-md-auto pb-3 pb-md-0"></tripetto-runner-buttons>
        <tripetto-runner-progressbar
          *ngIf="progressbar"
          [storyline]="storyline"
          class="col pb-3 pb-md-0"
        ></tripetto-runner-progressbar>
        <tripetto-runner-pages
          *ngIf="mode === 'paginated' && pages && storyline.pages.length > 0"
          [storyline]="storyline"
          class="col-md-auto pb-3 pb-md-0"
        ></tripetto-runner-pages>
      </nav>
    </div>
  </div>
</section>
